ghc-7.6.3: The GHC API

Safe Haskell | None

LlvmCodeGen.Ppr

Description

Pretty print helpers for the LLVM Code generator.

Synopsis

- pprLlvmHeader :: SDoc
- pprLlvmCmmDecl :: LlvmEnv -> Int -> LlvmCmmDecl -> (SDoc, [LlvmVar])
- pprLlvmData :: LlvmData -> SDoc
- infoSection :: String
- iTableSuf :: String

# Documentation

pprLlvmHeader :: SDoc

Header code for LLVM modules

pprLlvmCmmDecl :: LlvmEnv -> Int -> LlvmCmmDecl -> (SDoc, [LlvmVar])

Pretty print LLVM code

pprLlvmData :: LlvmData -> SDoc

Pretty print LLVM data code

infoSection :: String

The section we are putting info tables and their entry code into, should be unique since we process the assembly pattern matching this.

iTableSuf :: String

We generate labels for info tables by converting them to the same label as for the entry code but adding this string as a suffix.